Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.rwt.service
Interface IServiceManager

public interface IServiceManager

An `IServiceManager` is responsible to manage existing `IServiceHandler`s.

Since:
  1.0
See Also:
  `IServiceHandler`

Method Summary
`void` `registerServiceHandler(String id, IServiceHandler serviceHandler)` Registers a new service handler at the service manager.
`void` `unregisterServiceHandler(String id)` Unregisters a service handler.

Method Detail

### registerServiceHandler

    public void registerServiceHandler(String id,
                                       IServiceHandler serviceHandler)

  Registers a new service handler at the service manager. Service handlers have an `id` to identify the request which are handled by the registered service handler.

  Parameters:
    `id` - the identifier of this service handler used in the URL
    `serviceHandler` - the `IServiceHandler` implementation
  See Also:
    `IServiceHandler`, `IServiceHandler.REQUEST_PARAM`

### unregisterServiceHandler

    public void unregisterServiceHandler(String id)

  Unregisters a service handler.

  Parameters:
    `id` - the identifier of this service handler
  See Also:
    `IServiceHandler`

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.